/*
 * Copyright 2019, kaj dijkstra , 
 * Author, Kaj Dijkstra.
 * All rights reserved.
 *
 */


/**
 * sub Entity
**/
class subEntity {

	subMeshes = [];

	/**
	 * add subMesh
	 * @param {(submesh)} submesh
	**/
	addSubMesh(submesh) {
		this.subMeshes.push(submesh);
	}

	/**
	 * get all submeshes
	**/
	getSubMeshes() {
		return this.subMeshes;
	}

	/**
	 * parse subEntity (Deprecated)
	 * @param {(submesh)} submesh
	**/
	parse(submesh) {
		
	}

};